clang 8.0.0

Functions
Parser.cpp File Reference
`#include "clang/Parse/Parser.h"`
`#include "clang/AST/ASTConsumer.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/Parse/ParseDiagnostic.h"`
`#include "clang/Parse/RAIIObjectsForParser.h"`
`#include "clang/Sema/DeclSpec.h"`
`#include "clang/Sema/ParsedTemplate.h"`
`#include "clang/Sema/Scope.h"`
`#include "llvm/Support/Path.h"`
Include dependency graph for Parser.cpp:

Go to the source code of this file.

## Functions
static bool | IsCommonTypo (tok::TokenKind ExpectedTok, const Token &Tok)
static bool | HasFlagsSet (Parser::SkipUntilFlags L, Parser::SkipUntilFlags R)

## Function Documentation

## ◆ HasFlagsSet()

static bool HasFlagsSet | ( | Parser::SkipUntilFlags | L,
|  | Parser::SkipUntilFlags | R
| ) |  |
| static

Definition at line 234 of file Parser.cpp.

Referenced by clang::Parser::SkipUntil().

## ◆ IsCommonTypo()

static bool IsCommonTypo | ( | tok::TokenKind | ExpectedTok,
|  | const Token & | Tok
| ) |  |
| static

Definition at line 102 of file Parser.cpp.

References clang::Parser::ConsumeAnyToken(), clang::Parser::ConsumeToken(), clang::frontend::CPlusPlus, clang::frontend::CPlusPlus11, clang::FixItHint::CreateInsertion(), clang::FixItHint::CreateRemoval(), clang::FixItHint::CreateReplacement(), clang::Parser::Diag(), clang::Sema::getASTContext(), clang::Token::getIdentifierInfo(), clang::Parser::getLangOpts(), clang::Token::getLocation(), clang::Preprocessor::getLocForEndOfToken(), clang::ASTContext::getPrintingPolicy(), clang::tok::getPunctuatorSpelling(), clang::DeclSpec::getSpecifierName(), clang::Preprocessor::getSpelling(), clang::Token::is(), clang::Token::isAtStartOfLine(), clang::SourceLocation::isValid(), clang::Parser::NextToken(), and clang::Parser::TryConsumeToken().